Policies
List Notification policies
Get a Notification policy
Create a Notification policy
Update a Notification policy
Delete a Notification policy
ModelsExpand Collapse
class Policy: …
Optional specification of how often to re-alert from the same incident, not support on all alert types.
alert_type: Optional[Literal["abuse_report_alert", "access_custom_certificate_expiration_type", "advanced_ddos_attack_l4_alert", 88 more]]Refers to which event will trigger a Notification dispatch. You can use the endpoint to get available alert types which then will give you a list of possible values. This enum lists every alert type, not the ones a given account can create, since some types depend on entitlements or account type. To get the alert types an account can create, call GET /accounts/{account_id}/alerting/v3/available_alerts.
Refers to which event will trigger a Notification dispatch. You can use the endpoint to get available alert types which then will give you a list of possible values. This enum lists every alert type, not the ones a given account can create, since some types depend on entitlements or account type. To get the alert types an account can create, call GET /accounts/{account_id}/alerting/v3/available_alerts.
Optional filters that allow you to be alerted only on a subset of events for that alert type based on some criteria. This is only available for select alert types. See alert type documentation for more details.
class PolicyFilter: …Optional filters that allow you to be alerted only on a subset of events for that alert type based on some criteria. This is only available for select alert types. See alert type documentation for more details.
Optional filters that allow you to be alerted only on a subset of events for that alert type based on some criteria. This is only available for select alert types. See alert type documentation for more details.
Used for configuring magic_endpoint_healthcheck_alert. Takes one or more health check IDs, each a UUID. That alert type requires check_id together with alert_trigger_preferences set to slo, a numeric alert_trigger_preferences_value, and selectors set to failures.
incident_impact: Optional[List[Literal["INCIDENT_IMPACT_NONE", "INCIDENT_IMPACT_MINOR", "INCIDENT_IMPACT_MAJOR", "INCIDENT_IMPACT_CRITICAL"]]]Used for configuring incident_alert
Used for configuring incident_alert
Used for configuring stakeout_saved_query_daily_digest_alert and stakeout_saved_query_immediate_alert, which require it. Takes exactly one value, the saved query ID.
Access service token IDs to include for expiring_service_token_alert. Omit this property to include all current and future service tokens.
Used for configuring billing_budget_alert. Takes exactly one value, the budget threshold in US dollars, as a string greater than zero.